// version de développement / ébauche
// sous lience CERN OHL
// Projet petites éoliennes Pliboo

echo(version=version());

JEU = 0.4; // application d'un écart 

E = 2; // épaisseur des plaques
E1 = E + 15; // hauteur des coins pièce 1
E2 = E + 3; // hauteur des coins pièce 2

// VUES 
piece_1();
//piece_2();


// VUES DES PIECES
// -----------------------------
//vue_1(); // Assemblée
//vue_2(); // Éclatée
//vue_3(); // piece 1
//vue_4(); // piece 2


// MODULES
// -------------------

// Part 1
module part_1(X) {
color("violet" , 0.5)
    rotate([0,0,0])
        translate([0, 0, 0])
           rotate([0,0,0])
              linear_extrude(height = X, center = false, convexity = 10)
                  import(file = "CANETTE-V01-REV02.dxf", layer = "V01-PART01-REV-01-coin");
}

// Part 2
module part_2(X) {
color("violet" , 0.5)
    rotate([0,0,0])
        translate([0, 0, 0])
           rotate([0,0,0])
              linear_extrude(height = X, center = false, convexity = 10)
                  import(file = "CANETTE-V01-REV02.dxf", layer = "V01-PART01-REV-01-toile");
}

// Part 3
module part_3(X) {
color("violet" , 0.5)
    rotate([0,0,0])
        translate([0, 0, 0])
           rotate([0,0,0])
              linear_extrude(height = X, center = false, convexity = 10)
                  import(file = "CANETTE-V01-REV02.dxf", layer = "V01-PART02-REV-01-coin");
}

// Part 4
module part_4(X) {
color("violet" , 0.5)
    rotate([0,0,0])
        translate([0, 0, 0])
           rotate([0,0,0])
              linear_extrude(height = X, center = false, convexity = 10)
                  import(file = "CANETTE-V01-REV02.dxf", layer = "V01-PART01-REV-01-axe");
}


// Piece 1
module piece_1() {
    difference(){
        union(){
            part_1(E1);
            part_2(E);
            part_4(E1);
            }

        }
}

// Piece 2
module piece_2() {
    difference(){
        union(){
            part_3(E2);
            part_2(E);
            }

        }
}

// ASSEMBLAGE
module vue_1() {
    color("grey", 0.5) piece_1();
    color ("red", 0.5)  translate([0,0,E1+E]) rotate([180,0,0]) piece_2();
}

// VUE ÉCLATÉE
module vue_2() {
    color("grey", 0.5) piece_1();
    color ("red", 0.5)  translate([0,0,E1+E+10]) rotate([180,0,0]) piece_2();
}

// VUE PIECE ZERO
module vue_0() {
    assemblage_0(); // machoire sans la bague
}


// VUE PIECE 1
module vue_3() {
    assemblage_1(); // machoire 1
}

// VUE PIECE 2
module vue_4() {
    mirror([0,1,0]) assemblage_2(); // machoire 2
}

// VUE IMPRESSION PIECE 1
module impres_piece_1() {
    rotate([-90,0,0]) vue_3(); // pièce 1 retournée sur le côté
    }

// VUE IMPRESSION PIECE 2
module impres_piece_2() {
    rotate([90,0,0]) vue_4(); // pièce 2 retournée sur le côté
    }


